Subject: Re: [PATCH v2] clk: keystone: don't cache clock rate

From: Brian Masney <[email-masked]>
Date: Tue, 12 May 2026 10:51:00 -0400

Hi Nishanth,

On Tue, May 12, 2026 at 05:48:48AM -0500, Nishanth Menon wrote:
> On 10:36-20260511, Brian Masney wrote:
> > On Thu, May 07, 2026 at 11:09:34AM -0500, [email-masked] wrote:
> > > From: Michael Walle <[email-masked]>
> > > 
> > > The TISCI firmware will return 0 if the clock or consumer is not
> > > enabled although there is a stored value in the firmware. IOW a call to
> > > set rate will work but at get rate will always return 0 if the clock is
> > > disabled.
> > > The clk framework will try to cache the clock rate when it's requested
> > > by a consumer. If the clock or consumer is not enabled at that point,
> > > the cached value is 0, which is wrong. Thus, disable the cache
> > > altogether.
> > > 
> > > Signed-off-by: Michael Walle <[email-masked]>
> > > Reviewed-by: Kevin Hilman <[email-masked]>
> > > Reviewed-by: Randolph Sapp <[email-masked]>
> > > Reviewed-by: Nishanth Menon <[email-masked]>
> > > Signed-off-by: Antonios Christidis <[email-masked]>
> > 
> > Reviewed-by: Brian Masney <[email-masked]>
> > 
> 
> Brian,
> 
> Could you clarify if I need to take it via my tree to arnd or if this
> patch will go via the clk tree?

Sorry, I'm not sure what Stephen prefers here. An argument could be made
for either approach. I would just go with whatever you have done in the
past.

Brian